Subject: Re: Behaviour of 'git stash show' when a stash has untracked files

From: Kaartic Sivaraam <[email-masked]>
Date: Sat, 23 Sep 2017 12:41:05 +0530

On Wed, 2017-09-20 at 23:31 -0400, Jeff King wrote:
> But I have always been bothered how the saved state
> is a bit hidden from the user. It seems like a recipe for user confusion
> when they save something with "git stash" but then "stash show" doesn't
> even mention it.
> 

Yeah, I feel the same.

> I guess the nuclear option there is introducing "git stash info" or
> something, and marking "git stash show" as an alias for "git stash info
> --worktree".

Sounds good.

> but I'd be happy to review if anybody picked up the topic.
> 

I would be, too.

---
Kaartic